// Threadeinführung_01.cpp: Hauptprojektdatei.

#include "stdafx.h"

using namespace System;
using namespace System::Threading;


void tueEtwas(int n)
{
	Thread::SpinWait(n * 10000000);
	Console::WriteLine(" Aufruf für " + n + " beendet.");
}

int main(array<System::String ^> ^args)
{
   Console::WriteLine("Programm gestartet");

	for (int n = 0; n < 20; ++n)
	{
		tueEtwas(n);
	}

   Console::WriteLine("Zum Beenden Eingabetaste druecken");
	Console::ReadLine();
   return 0;
}

